import React from 'react';
import { createComponentStory } from 'stories';

import Alert from './index';

const story = createComponentStory({ component: Alert });

story.addWithDoc('Alert', ({ props }) => (
  <div style={{ height: '100%', width: '100%' }}>
    <Alert {...props} >Lorem ipsum dolor</Alert>
  </div>
), Alert, {
  defaultProps: {
    open: true,
    type: 'success'
  },
});
