import React from 'react';
import { createComponentStory } from 'stories';

import Checkbox from './index';

const story = createComponentStory({ component: Checkbox });

story.addWithDoc('Checkbox', ({ props }) => (
  <Checkbox {...props} />
), Checkbox, {
  defaultProps: {
    label: 'My checkbox',
  },
});
