import React from 'react';
import { createComponentStory } from 'stories';
import CircularProgress from './index';

const story = createComponentStory({ component: CircularProgress });

story.addWithDoc('CircularProgress', ({ props }) => (
  <CircularProgress
    {...props}
  />
), CircularProgress, {
  defaultProps: {
    isPreload: true,
    children: 'Hello!',
  }
});
