import React from 'react';
import { action } from '@storybook/addon-actions';
import { createComponentStory } from 'stories';

import CustomDatePicker from './index';

const story = createComponentStory({ component: CustomDatePicker });

story.addWithDoc('CustomDatePicker', ({ props }) => (
  <div>
    {
      /*
      <CustomDatePicker
        range={{ startDate: '01.06.2018', endDate: '20.06.2018' }}
        customLabel='20.06.2018'
        filter={['month', 'prevMonth', 'quarter', 'prevQuarter']}
        singleDatePicker={false}
        handleApply={(range) => console.log(range)}
      />
      */
    }
    <CustomDatePicker
      range={{ startDate: '20.06.2018', endDate: '20.06.2018' }}
      customLabel='20.06.2018'
      filter={['month', 'prevMonth', 'quarter', 'prevQuarter']}
      singleDatePicker={true}
      handleApply={(range) => console.log(range)}
    />
  </div>
));
