import React from 'react';
import { action } from '@storybook/addon-actions';
import { createComponentStory } from 'stories';

import DatePicker from './index';

const story = createComponentStory({ component: DatePicker });

story.addWithDoc('DatePicker', ({ props }) => (
  <div>
    <DatePicker
      {...props}
      input={{
        onChange: action('onChange'),
        onFocus: action('onFocus'),
        value: null,
      }}
    />
  </div>
), DatePicker, {
  defaultProps: {
    children: 'Default button',
    label: 'DatePicker',
  },
});
