import React from 'react';
import { Field } from 'redux-form';

import { createComponentStory } from 'stories';

import MaskedInput from './index';

const story = createComponentStory({ component: MaskedInput, form: 'masked-form' });

story.addWithDoc('MaskedInput', ({ props }) => (
  <Field
    {...props}
    name="masked"
    component={MaskedInput}
  />
), MaskedInput, {
  defaultProps: {
    label: 'Masked input',
    mask: '1111 1111 1111 1111'
  }
});
