import React from 'react';
import { Field } from 'redux-form';
import { createComponentStory } from 'stories';

import Switch from './index';

const story = createComponentStory({ component: Switch, form: 'example-form' });

story.addWithDoc('Switch', props => (
  <div style={{ maxWidth: '250px', fontSize: '12px' }}>
    <Field
      name="material-switch-replica"
      id="switch-id"
      label="На свій рахунок"
      component={Switch}
      {...props}
    />
  </div>
), Switch, {});
