import React from 'react';
import { Field } from 'redux-form';

import { createComponentStory } from 'stories';

import AmountInput from './index';

const story = createComponentStory({ component: AmountInput, form: 'example-form' });

story.addWithDoc('AmountInput', ({ props }) => (
  <Field
    {...props}
    name="example"
    component={AmountInput}
  />
), AmountInput, {
  defaultProps: {
    label: 'Amount input',
  }
});
