import React from 'react';
import { action } from '@storybook/addon-actions';
import { createComponentStory } from 'stories';

import { Route } from 'react-router-dom';

import Button from './index';

const story = createComponentStory({ component: Button });

story.addWithDoc('Button', ({ props }) => (
  <div>
    <Button {...props} onClick={action('onClick')} />
    <Route path="/test" component={null} />
  </div>
), Button, {
  defaultProps: {
    children: 'Default button',
  },
});
