import React from 'react';
import { createComponentStory } from 'stories';
import { action } from '@storybook/addon-actions';

import CustomSelect from './index';

const story = createComponentStory({ component: CustomSelect });

story.addWithDoc('CustomSelect', ({ props }) => (
  <CustomSelect
    {...props}
    list={['One',  'Two', 'Three']}
    customLabel='Власний варіант'
    onChange={action('onChange')}
  />
));
