import React from 'react';
import { createComponentStory } from 'stories';
import { action } from '@storybook/addon-actions';

import DropDown from './index';

const story = createComponentStory({ component: DropDown });

story.addWithDoc('DropDown', ({ props }) => (
  <DropDown
    {...props}
    value={2}
    onChange={action('onChange')}
    list={[
      { label: 'One', value: 1 },
      { label: 'Two', value: 2 },
      { label: 'Three', value: 3 },
    ]}
  />
));
