import React from 'react';
import { createComponentStory } from 'stories';

import PasswordInput from './index';

const label = 'Please, input your new password';
const hints = [
  '0000 is bad password',
  'qwerty1 too'
];

const story = createComponentStory({ component: PasswordInput });

story.addWithDoc('PasswordInput', ({ props }) => (
  <PasswordInput {... {
    ...props, hints, label, style: { width: '444px' }, getPasswordSafetyClass: (value) => 4, // eslint-disable-line
  }}
  />
), PasswordInput, {
  defaultProps: {
    label,
    hints,
  }
});
