import React from 'react';
import { createComponentStory } from 'stories';

import RadioInput from './index';

const story = createComponentStory({ component: RadioInput });

story.addWithDoc('RadioInput', ({ props }) => (
  <RadioInput {...props} />
), RadioInput, {
  defaultProps: {
    label: 'My radio input'
  }
});
