import React from 'react';
import { createComponentStory } from 'stories';

import Select from './index';

const story = createComponentStory({ component: Select });

story.addWithDoc('Select', ({ props }) => (
  <Select
    {...props}
    list={[
      { label: 'One', value: 1 },
      { label: 'Two', value: 2 },
      { label: 'Three', value: 3 },
    ]}
    // meta={{ error: 'qweqweqweq', touched: true, }}
  />
));
