'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * ## Usage
 *
 * ```javascript
 * import Example from '@Components/Example';
 *
 * export default class {
 *   render() {
 *     return (
 *       <Example />
 *     );
 *   }
 * }
 * ```
 */
var Example = function (_React$PureComponent) {
  (0, _inherits3.default)(Example, _React$PureComponent);

  function Example() {
    (0, _classCallCheck3.default)(this, Example);
    return (0, _possibleConstructorReturn3.default)(this, (Example.__proto__ || (0, _getPrototypeOf2.default)(Example)).apply(this, arguments));
  }

  (0, _createClass3.default)(Example, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          example = _props.example,
          onClick = _props.onClick;


      return _react2.default.createElement(
        'section',
        { className: 'example', onClick: onClick, role: 'presentation' },
        _react2.default.createElement(
          'div',
          { className: 'example__text' },
          'Example component'
        ),
        _react2.default.createElement(
          'div',
          { className: 'example__flag' },
          'example prop: ',
          _react2.default.createElement(
            'b',
            null,
            example.toString()
          )
        )
      );
    }
  }]);
  return Example;
}(_react2.default.PureComponent);

Example.displayName = 'Example';
Example.propTypes = {
  /**
   * Property description
   */
  example: _propTypes2.default.bool,
  /**
   * Click handler
   */
  onClick: _propTypes2.default.func
};
Example.defaultProps = {
  example: false,
  onClick: function onClick() {}
};
exports.default = Example;