'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Table = require('material-ui/Table');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Footer = function (_React$Component) {
  (0, _inherits3.default)(Footer, _React$Component);

  function Footer() {
    (0, _classCallCheck3.default)(this, Footer);
    return (0, _possibleConstructorReturn3.default)(this, (Footer.__proto__ || (0, _getPrototypeOf2.default)(Footer)).apply(this, arguments));
  }

  (0, _createClass3.default)(Footer, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          colSpan = _props.colSpan,
          count = _props.count,
          rowsPerPage = _props.rowsPerPage,
          rowsPerPageOptions = _props.rowsPerPageOptions,
          page = _props.page,
          onChangePage = _props.onChangePage,
          onChangeRowsPerPage = _props.onChangeRowsPerPage,
          labelRowsPerPage = _props.labelRowsPerPage;


      return _react2.default.createElement(
        _Table.TableFooter,
        null,
        _react2.default.createElement(
          _Table.TableRow,
          null,
          _react2.default.createElement(_Table.TablePagination, {
            colSpan: colSpan,
            count: count,
            rowsPerPage: rowsPerPage,
            rowsPerPageOptions: rowsPerPageOptions,
            page: page,
            onChangePage: onChangePage,
            onChangeRowsPerPage: onChangeRowsPerPage,
            labelRowsPerPage: labelRowsPerPage,
            labelDisplayedRows: function labelDisplayedRows(props) {
              return props.from + ' - ' + props.to + ' : ' + props.count;
            }
          })
        )
      );
    }
  }]);
  return Footer;
}(_react2.default.Component);

Footer.displayName = 'Footer';
Footer.propTypes = {
  colSpan: _propTypes2.default.number.isRequired,
  count: _propTypes2.default.number.isRequired,
  labelRowsPerPage: _propTypes2.default.string.isRequired,
  rowsPerPage: _propTypes2.default.number.isRequired,
  rowsPerPageOptions: _propTypes2.default.array.isRequired,
  page: _propTypes2.default.number.isRequired,
  onChangeRowsPerPage: _propTypes2.default.func.isRequired,
  onChangePage: _propTypes2.default.func.isRequired
};
exports.default = Footer;